"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildIconsList = void 0;
const buildIconsList = (icons, height) => `<p align="left">${Object.entries(icons)
    .map(([, { docUrl, iconUrl }]) => {
    const image = `<img height="${height}" src="${iconUrl}" />`;
    return docUrl
        ? `<a href="${docUrl}" target="_blank">${image}</a>`
        : image;
})
    .join('&nbsp;')}</p>`;
exports.buildIconsList = buildIconsList;
//# sourceMappingURL=build-icons-list.js.map