import { readFile } from 'node:fs/promises';
import { parse } from 'comment-json';
export const readJson = async (path) => {
    const dataAsString = await readFile(path, { encoding: 'utf-8' });
    try {
        return parse(dataAsString, null, true);
    }
    catch (error) {
        throw new Error('Invalid json', {
            cause: error,
        });
    }
};
//# sourceMappingURL=read-json.js.map