import { readFile, writeFile } from 'node:fs/promises';
export const injectIconsToPackage = async (path, input) => {
    const data = await readFile(path, 'utf-8');
    const replaceRegex = /(?<=<!-- readme-package-icons start -->)([\W\w]*)(?=<!-- readme-package-icons end -->)/gm;
    const alteredReadmeData = data.replace(replaceRegex, `\n\n${input}\n\n`);
    await writeFile(path, alteredReadmeData);
};
//# sourceMappingURL=inject-icons-to-package.js.map