"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.displayError = exports.displaySuccess = void 0;
const picocolors_1 = __importDefault(require("picocolors"));
const displaySuccess = (iconsCount) => {
    const summary = `${picocolors_1.default.yellowBright(iconsCount)} icons added`;
    console.info(`${picocolors_1.default.cyanBright('readme-package-icons')} 🚀 - ${picocolors_1.default.greenBright('Readme updated')} (${summary})`);
};
exports.displaySuccess = displaySuccess;
const displayError = (err) => {
    console.error(`${picocolors_1.default.cyanBright('readme-package-icons')} ❌ - ${picocolors_1.default.redBright(err.stack)}`);
};
exports.displayError = displayError;
//# sourceMappingURL=console.messages.js.map