export interface Techno {
    docUrl?: string;
    iconUrl: string;
    dependenciesPattern?: RegExp | undefined;
}
export declare const technosSpecs: {
    angular: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    apollo: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    aws: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    axios: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    babel: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    biome: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    'circle-ci': {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    cockroachdb: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    'conventional-changelog': {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    cypress: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    discordJs: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    docker: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    dotenv: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    elastic: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    emotion: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    esbuild: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    eslint: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    express: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    faker: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    fastify: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    'fly-io': {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    gatsby: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    git: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    'github-actions': {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    graphql: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    heroku: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    i18next: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    jasmine: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    javascript: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    jest: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    jotai: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    jwt: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    knex: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    lodash: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    materialUI: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    mocha: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    mongodb: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    msw: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    mysql: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    nestjs: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    nextjs: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    nginx: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    node: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    npm: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    nuxt: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    nx: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    pandacss: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    passport: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    pino: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    pnpm: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    postgresql: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    prettier: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    prisma: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    pulumi: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    react: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    'react-hook-form': {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    'react-query': {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    redis: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    redux: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    remix: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    rust: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    rxjs: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    sass: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    sequelize: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    socketio: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    sonarcloud: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    sqlite: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    sqlserver: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    storybook: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    'styled-components': {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    svelte: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    swagger: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    swc: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    tailwind: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    terraform: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    'testing-library': {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    'type-stack': {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    typescript: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    vercel: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    vscode: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    vuejs: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    webpack: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    webstorm: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    yarn: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    zod: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    'graphql-codegen': {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    vite: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    vitest: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    daisyui: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    effect: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    framerMotion: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    temporal: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    bun: {
        dependenciesPattern: undefined;
        docUrl: string;
        iconUrl: string;
    };
    sentry: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
    trpc: {
        dependenciesPattern: RegExp;
        docUrl: string;
        iconUrl: string;
    };
};
